<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
               "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
lang="en" xml:lang="en">
<head>
<title><b>OpenFOAM README for version 1.5</b></title>
<meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1"/>
<meta name="generator" content="Org-mode"/>
<meta name="generated" content="14 July 2008"/>
<meta name="author" content="OpenCFD Ltd."/>
<style type="text/css">
  html {
	font-family: Times, serif;
	font-size: 12pt;
  }
  .title { text-align: center; }
  .todo  { color: red; }
  .done { color: green; }
  .timestamp { color: grey }
  .timestamp-kwd { color: CadetBlue }
  .tag { background-color:lightblue; font-weight:normal }
  .target { }
  pre {
	border: 1pt solid #AEBDCC;
	background-color: #F3F5F7;
	padding: 5pt;
	font-family: courier, monospace;
        font-size: 90%;
  }
  table { border-collapse: collapse; }
  td, th {
	vertical-align: top;
	<!--border: 1pt solid #ADB9CC;-->
  }
  dt { font-weight: bold; }
</style>
</head><body>
<h1 class="title"><b>OpenFOAM README for version 1.5</b></h1>
<div id="table-of-contents">
<h2>Table of Contents</h2>
<div id="text-table-of-contents">
<ul>
<li><a href="#sec-1">1 Copyright</a></li>
<li><a href="#sec-2">2 System requirements</a>
<ul>
<li><a href="#sec-2.1">2.1 Qt (from http://trolltech.com/products/qt)</a></li>
</ul>
</li>
<li><a href="#sec-3">3 Installation</a>
<ul>
<li><a href="#sec-3.1">3.1 Installation in alternative locations</a></li>
</ul>
</li>
<li><a href="#sec-4">4 Building from Sources (Optional)</a></li>
<li><a href="#sec-5">5 Testing the installation</a></li>
<li><a href="#sec-6">6 Getting Started</a></li>
<li><a href="#sec-7">7 Compiling Paraview 3.3 and the PV3FoamReader module</a></li>
<li><a href="#sec-8">8 Documentation</a></li>
<li><a href="#sec-9">9 Help</a></li>
<li><a href="#sec-10">10 Reporting Bugs in OpenFOAM</a></li>
<li><a href="#sec-11">11 Running OpenFOAM in 32-bit mode on 64-bit machines</a></li>
</ul>
</div>
</div>

<div id="outline-container-1" class="outline-2">
<h2 id="sec-1">1 Copyright</h2>
<div id="text-1">

<p>OpenFOAM is free software; you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.  See the file COPYING in this directory, for a description of the GNU
General Public License terms under which you can copy the files.
</p>
</div>

</div>

<div id="outline-container-2" class="outline-2">
<h2 id="sec-2">2 System requirements</h2>
<div id="text-2">

<p>OpenFOAM is developed and tested on Linux, but should work with other Unix
style systems.  To check your system setup, execute the foamSystemCheck script
in the bin/ directory of the OpenFOAM installation. If no problems are
reported, proceed to "3. Installation"; otherwise contact your system
administrator.
</p>
<p>
If the user wishes to run OpenFOAM in 32/64-bit mode they should consult the
section "Running OpenFOAM in 32-bit mode".
</p>

</div>

<div id="outline-container-2.1" class="outline-3">
<h3 id="sec-2.1">2.1 Qt (from <a href="http://trolltech.com/products/qt">http://trolltech.com/products/qt</a>)</h3>
<div id="text-2.1">

<p>The ParaView 3.3 visualisation package requires that Qt version 4.3.x MUST
be installed on the system.  Earlier or more recent versions (4.2.x or
4.4.x) will NOT work.  To check whether Qt4 is installed, and the version,
type:
</p><ul>
<li>
qmake &ndash;version

</li>
</ul>

<p>The ParaView binary executables in the ThirdParty distribution will only
work with PRECISELY the same version of Qt with which it was compiled.  The
64-bit version of ParaView was compiled with Qt-4.3.1 (with openSuSE-10.3)
and the 32-bit version of ParaView was compiled with Qt-4.3.2 (with
ubuntu-7.10).  If the user finds that a ParaView binary fails to run, then
it is almost certainly due to a conflict in compiled and installed Qt
versions and they will need to consult the section below on "Compiling
ParaView and the PV3FoamReader module."
</p>
<p>
The default versions of Qt used by some GNU/Linux releases are as follows.
</p><ul>
<li>
ubuntu-7.10:   Version 4.3.2
</li>
<li>
ubuntu-8.04:   Version 4.3.4
</li>
<li>
openSuSE-10.2: Version 4.2.1 - too old
</li>
<li>
openSuSE-10.3: Version 4.3.1
</li>
<li>
openSuSE-11.0: Version 4.4.0 - too new

</li>
</ul>

<p>Compilation and running of ParaView has been successful using the libraries
downloaded in the "libqt4-dev" package on ubuntu.
</p>
<p>
If you don't have an appropriate version of Qt installed you can download
the sources from TrollTech e.g.:
<a href="ftp://ftp.trolltech.com/qt/source/qt-x11-opensource-src-4.3.5.tar.bz2">ftp://ftp.trolltech.com/qt/source/qt-x11-opensource-src-4.3.5.tar.bz2</a>
and compile and install in /usr/local or some other location that does to
conflict with the pre-installed version.
</p>
</div>
</div>

</div>

<div id="outline-container-3" class="outline-2">
<h2 id="sec-3">3 Installation</h2>
<div id="text-3">

<p>Download and unpack the files in the $HOME/OpenFOAM directory as described in:
<a href="http://www.OpenFOAM.org/download.html">http://www.OpenFOAM.org/download.html</a>
</p>
<p>
The environment variable settings are contained in files in an etc/ directory
in the OpenFOAM release. e.g. in
</p>
<ul>
<li>
$HOME/OpenFOAM/OpenFOAM-&lt;VERSION&gt;/etc/
</li>
<li>
where &lt;VERSION&gt; corresponds to the version 1.4, 1.5, &hellip;

</li>
<li>
EITHER, if running bash or ksh (if in doubt type 'echo $SHELL'), source the
etc/bashrc file by adding the following line to the end of your
$HOME/.bashrc file:

<ul>
<li>
. $HOME/OpenFOAM/OpenFOAM-&lt;VERSION&gt;/etc/bashrc

</li>
</ul>

<p>Then update the environment variables by sourcing the $HOME/.bashrc file by
typing in the terminal:
</p>
<ul>
<li>
. $HOME/.bashrc

</li>
</ul>
</li>
<li>
OR, if running tcsh or csh, source the etc/cshrc file by adding the
following line to the end of your $HOME/.cshrc file:

<ul>
<li>
source $HOME/OpenFOAM/OpenFOAM-&lt;VERSION&gt;/etc/cshrc

</li>
</ul>

<p>Then update the environment variables by sourcing the $HOME/.cshrc file by
typing in the terminal:
</p>
<ul>
<li>
source $HOME/.cshrc

</li>
</ul>
</li>
</ul>

</div>

<div id="outline-container-3.1" class="outline-3">
<h3 id="sec-3.1">3.1 Installation in alternative locations</h3>
<div id="text-3.1">

<p>OpenFOAM may also be installed in alternative locations. However, the
installation directory should be network available (e.g., NFS) if parallel
calculations are planned.
</p>
<p>
The environment variable 'FOAM_INST_DIR' can be used to find and source the
appropriate resource file. Here is a bash/ksh/sh example:
</p>
<ul>
<li>
export FOAM_INST_DIR=/data/app/OpenFOAM
</li>
<li>
foamDotFile=$FOAM_INST_DIR/OpenFOAM-&lt;VERSION&gt;/etc/bashrc
</li>
<li>
[ -f $foamDotFile ] &amp;&amp; . $foamDotFile

</li>
</ul>

<p>and a csh/tcsh example:
</p>
<ul>
<li>
setenv FOAM_INST_DIR /data/app/OpenFOAM
</li>
<li>
foamDotFile=$FOAM_INST_DIR/OpenFOAM-&lt;VERSION&gt;/etc/bashrc
</li>
<li>
if ( -f $foamDotFile ) source $foamDotFile

</li>
</ul>

<p>The value set in '$FOAM_INST_DIR' will be used to locate the remaining parts
of the OpenFOAM installation.
</p>
</div>
</div>

</div>

<div id="outline-container-4" class="outline-2">
<h2 id="sec-4">4 Building from Sources (Optional)</h2>
<div id="text-4">

<p>If you cannot find an appropriate binary pack for your platform, you can build
the complete OpenFOAM from the source-pack.  You will first need to compile or
obtain a recent version of gcc (we recomend gcc-4.3.?) for your platform,
which may be obtained from <a href="http://gcc.gnu.org/">http://gcc.gnu.org/</a>.
</p>
<p>
Install the compiler in
$WM_PROJECT_INST_DIR/ThirdParty/gcc-&lt;GCC_VERSION&gt;/platforms/$WM_ARCH$WM_COMPILER_ARCH/
and change the gcc version number in $WM_PROJECT_DIR/etc/settings.sh and
$WM_PROJECT_DIR/etc/settings.csh appropriately and finally update the
environment variables as in section 3.
</p>
<p>
Now go to the top-level source directory $WM_PROJECT_DIR and execute the
top-level build script './Allwmake'.  In principle this will build everything,
but if problems occur with the build order it may be necessary to update the
environment variables and re-execute 'Allwmake'. If you experience
difficulties with building the source-pack, or your platform is not currently
supported, please contact &lt;enquiries@OpenCFD.co.uk&gt; to negotiate a support
contract and we will do the port and maintain it for future releases.
</p>
</div>

</div>

<div id="outline-container-5" class="outline-2">
<h2 id="sec-5">5 Testing the installation</h2>
<div id="text-5">

<p>To check your installation setup, execute the 'foamInstallationTest' script
(in the bin/ directory of the OpenFOAM installation). If no problems are
reported, proceed to getting started with OpenFOAM; otherwise, go back and
check you have installed the software correctly and/or contact your system
administrator.
</p>
</div>

</div>

<div id="outline-container-6" class="outline-2">
<h2 id="sec-6">6 Getting Started</h2>
<div id="text-6">

<p>Create a project directory within the $HOME/OpenFOAM directory named
&lt;USER&gt;-&lt;VERSION&gt; (e.g. 'chris-1.5' for user chris and OpenFOAM version 1.5)
and create a directory named 'run' within it, e.g. by typing:
</p>
<ul>
<li>
mkdir -p $HOME/OpenFOAM/${USER}-${WM_PROJECT_VERSION}/run

</li>
</ul>

<p>Copy the 'tutorial' examples directory in the OpenFOAM distribution to the
'run' directory.  If the OpenFOAM environment variables are set correctly,
then the following command will be correct:
</p>
<ul>
<li>
cp -r $WM_PROJECT_DIR/tutorials
$HOME/OpenFOAM/${USER}-${WM_PROJECT_VERSION}/run

</li>
</ul>

<p>Run the first example case of incompressible laminar flow in a cavity:
</p>
<ul>
<li>
cd $HOME/OpenFOAM/${USER}-${WM_PROJECT_VERSION}/run/tutorials/icoFoam/cavity
</li>
<li>
blockMesh
</li>
<li>
icoFoam
</li>
<li>
paraFoam

</li>
</ul>
</div>

</div>

<div id="outline-container-7" class="outline-2">
<h2 id="sec-7">7 Compiling Paraview 3.3 and the PV3FoamReader module</h2>
<div id="text-7">

<p>A version of Qt 4.3.x must be installed to compile ParaView.  The compilation
is a fairly simple process using the supplied buildParaView3.3-cvs script that
has worked is our tests with other packages supplied in the ThirdParty
directory, namely cmake-2.4.6 and gcc-4.3.1.  Execute the following:
</p><ul>
<li>
cd $FOAM_INST_DIR/ThirdParty
</li>
<li>
rm -rf ParaView3.3-cvs/platforms
</li>
<li>
buildParaView3.3-cvs

</li>
</ul>

<p>The PV3FoamReader module is an OpenFOAM utility that can be compiled in the
usual manner as follows:
</p><ul>
<li>
cd $FOAM_UTILITIES/postProcessing/graphics/PV3FoamReader
</li>
<li>
./Allwclean
</li>
<li>
./Allwmake

</li>
</ul>
</div>

</div>

<div id="outline-container-8" class="outline-2">
<h2 id="sec-8">8 Documentation</h2>
<div id="text-8">

<p><a href="http://www.OpenFOAM.org/doc">http://www.OpenFOAM.org/doc</a>
</p>
</div>

</div>

<div id="outline-container-9" class="outline-2">
<h2 id="sec-9">9 Help</h2>
<div id="text-9">

<p><a href="http://www.OpenFOAM.org">http://www.OpenFOAM.org</a> <a href="http://www.OpenFOAM.org/discussion.html">http://www.OpenFOAM.org/discussion.html</a>
</p>
</div>

</div>

<div id="outline-container-10" class="outline-2">
<h2 id="sec-10">10 Reporting Bugs in OpenFOAM</h2>
<div id="text-10">

<p><a href="http://www.OpenFOAM.org/bugs.html">http://www.OpenFOAM.org/bugs.html</a>
</p>
</div>

</div>

<div id="outline-container-11" class="outline-2">
<h2 id="sec-11">11 Running OpenFOAM in 32-bit mode on 64-bit machines</h2>
<div id="text-11">

<p>Linux users with a 64-bit machine may install either the OpenFOAM 32-bit
version (linux) or the OpenFOAM 64-bit version (linux64), or both.  The 64-bit
is the default mode on a 64-bit machine.  To use an installed 32-bit version,
the user must set the environment variable $WM_32 (to anything, e.g. "on")
before sourcing the etc/bashrc (or etc/cshrc) file.
</p></div>
</div>
<div id="postamble"><p class="date"> Date: 14 July 2008</p>
<p>HTML generated by org-mode 6.05a in emacs 23<p>
</div></body>
</html>
